Package org.jcsp.plugNplay.ints

# Class PairsInt

java.lang.Object
org.jcsp.plugNplay.ints.PairsInt

All Implemented Interfaces:
  `CSProcess`

public final class PairsInt extends Object implements CSProcess
Generates sums of successive pairs of input values.

## Process Diagram

### External View

### Internal View

## Description

`PairsInt` is a process whose output is always the sum of its previous two inputs.

Two inputs are needed before any output is produced but that, thereafter, one output is produced for each input.

## Channel Protocols

Input Channels
in | int | All channels in this package carry integers.
Output Channels
out | int | All channels in this package carry integers.

Author:
  P.H. Welch and P.D. Austin

## Constructor Summary

Constructors
Constructor
Description
`PairsInt(ChannelInputInt in, ChannelOutputInt out)`
Construct a new PairsInt process with the input Channel in and the output Channel out.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
The main body of this process.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PairsInt

public PairsInt(ChannelInputInt in, ChannelOutputInt out)
Construct a new PairsInt process with the input Channel in and the output Channel out.

Parameters:
  `in` - The input Channel
  `out` - The output Channel

## Method Details

### run

public void run()
The main body of this process.

Specified by:
  `run` in interface `CSProcess`